Bug 208470 - java/openjfx8-devel: Unbreak build after Gradle update
Summary: java/openjfx8-devel: Unbreak build after Gradle update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://beefy6.nyi.freebsd.org/data/10...
Keywords: patch, patch-ready
Depends on: 208471
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-02 19:33 UTC by Tobias Kortkamp
Modified: 2016-07-10 20:49 UTC (History)
3 users (show)

See Also:
pi: merge-quarterly+


Attachments
openjfx8-devel.diff (1.19 KB, patch)
2016-04-02 19:33 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
Synth test log (124.79 KB, text/x-log)
2016-04-02 19:34 UTC, Tobias Kortkamp
no flags Details
openjfx8-devel.diff (1.38 KB, patch)
2016-05-02 17:48 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-04-02 19:33:40 UTC
Created attachment 168905 [details]
openjfx8-devel.diff

The build fails with the recent update to Gradle 2.12. See attached patch for a fix. The fix also requires some changes to the Gradle port.
Comment 1 Tobias Kortkamp freebsd_committer 2016-04-02 19:34:09 UTC
Created attachment 168906 [details]
Synth test log
Comment 2 Tobias Kortkamp freebsd_committer 2016-05-02 17:48:45 UTC
Created attachment 169885 [details]
openjfx8-devel.diff

Updated patch to now also remove the BROKEN marker that was added instead of fixing devel/gradle and openjfx8.
Comment 3 commit-hook freebsd_committer 2016-07-10 12:16:43 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 10 12:16:35 UTC 2016
New revision: 418313
URL: https://svnweb.freebsd.org/changeset/ports/418313

Log:
  java/openjfx8-devel: Unbreak build after Gradle update

  - fix the build after recent update to Gradle 2.12.

  PR:		208470
  MFH:		2016Q3
  Submitted by:	Tobias Kortkamp <t@tobik.me> (maintainer)

Changes:
  head/java/openjfx8-devel/Makefile
  head/java/openjfx8-devel/files/patch-build.gradle
Comment 4 Kurt Jaeger freebsd_committer 2016-07-10 12:16:52 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-07-10 20:23:34 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 10 20:22:45 UTC 2016
New revision: 418342
URL: https://svnweb.freebsd.org/changeset/ports/418342

Log:
  java/openjfx8-devel: Unbreak build after Gradle update

  - fix the build after recent update to Gradle 2.12.

  PR:		208470
  MFH:		r418313
  Submitted by:	Tobias Kortkamp <t@tobik.me> (maintainer)
  Approved by:	portmgr (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/java/openjfx8-devel/Makefile
  branches/2016Q3/java/openjfx8-devel/files/patch-build.gradle